NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Preferences.SessionSketch Class Reference

Represents the set of sketch preferences applicable to entire session More...

Inheritance diagram for NXOpen.Preferences.SessionSketch:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BackgroundType { Inherit, Plain }
 Describes the available sketch background types. More...
 
enum  GroupConstraintType { PreventConflict, PreserveAll }
 Represents the constraint management option when creating a rigid or scalable sketch group. More...
 
enum  OriginType { InferFromPlaneSelection, ProjectWorkPartOrigin }
 Describes the available sketch origin types. More...
 
enum  RigidSetConstraintType { PreventConflict, PreserveAll }
 Represents the constraint management option when creating a rigid sketch group. More...
 

Properties

unsafe bool AutoDimensionsToArcCenter [get, set]
 Returns or sets the setting that controls whether or not auto-dimensions are created to arc centers. More...
 
unsafe bool AutoReverse [get, set]
 Returns or sets the setting that controls whether to turn on the automatic reverse option for the section view of the active sketch. More...
 
unsafe
NXOpen.Preferences.SessionSketch.BackgroundType 
BackgroundOption [get, set]
 Returns or sets the background option More...
 
unsafe bool ChangeViewOrientation [get, set]
 Returns or sets the setting that controls whether the view orientation will be changed to align with the sketch when the sketch is activated. More...
 
unsafe double ConstraintSymbolSize [get, set]
 Returns or sets the constraint symbol size. More...
 
unsafe bool ContinuousAutoDimensioning [get, set]
 Returns or sets the setting that controls whether or not to continuously create auto dimensions in a sketch. More...
 
unsafe bool CreateInferredConstraints [get, set]
 Returns or sets the setting that controls whether or not to create inferred constraints More...
 
unsafe string DefaultArcNamePrefix [get, set]
 Returns or sets the default arc name prefix More...
 
unsafe string DefaultConicNamePrefix [get, set]
 Returns or sets the default conic name prefix More...
 
unsafe string DefaultLineNamePrefix [get, set]
 Returns or sets the default line name prefix More...
 
unsafe string DefaultSketchNamePrefix [get, set]
 Returns or sets the default sketch name prefix More...
 
unsafe string DefaultSplineNamePrefix [get, set]
 Returns or sets the default spline name prefix More...
 
unsafe string DefaultVertexNamePrefix [get, set]
 Returns or sets the default vertex name prefix More...
 
unsafe bool DelayEvaluation [get, set]
 Returns or sets the setting that controls whether or not the sketch should be evaluated when a constraint is added to the sketch. More...
 
unsafe
NXOpen.Preferences.SketchPreferences.DimensionLabelType 
DimensionLabel [get, set]
 Returns or sets the dimension label More...
 
unsafe bool DisplayAutoDimensions [get, set]
 Returns or sets the setting that controls whether or not to display auto dimensions More...
 
unsafe bool DisplayConstraintSymbols [get, set]
 Returns or sets the setting that controls whether or not to display constraint symbols More...
 
unsafe bool DisplayDOFArrows [get, set]
 Returns or sets the setting that controls whether or not the degree of freedom arrows are displayed. More...
 
unsafe bool DisplayObjectColor [get, set]
 Returns or sets the setting that controls whether or not sketch objects should be displayed in their true color More...
 
unsafe bool DisplayObjectName [get, set]
 Returns or sets the setting that controls whether or not objects are displayed with their names in sketch. More...
 
unsafe bool DisplayParenthesesOnReferenceDimensions [get, set]
 Returns or sets the setting that controls whether or not to display parentheses on reference dimensions More...
 
unsafe bool DisplayReferenceGeometry [get, set]
 Returns or sets the setting that controls whether or not the reference geometry are displayed on inactive sketches. More...
 
unsafe bool DisplaySectionMappingWarning [get, set]
 Returns or sets the display section mapping warning flag. More...
 
unsafe bool DisplayShadedRegions [get, set]
 Returns or sets the setting that specifies whether or not closed curve regions are displayed as shaded regions in an active sketch. More...
 
unsafe bool DisplayVertices [get, set]
 Returns or sets the setting that controls whether or not to display sketch vertices. More...
 
unsafe bool DynamicConstraintDisplay [get, set]
 Returns or sets the setting that controls whether or not constraint symbols are displayed if the associated geometry is very small. More...
 
unsafe bool EditDimensionOnCreation [get, set]
 Returns or sets the setting that controls whether or not parentheses are displayed on reference dimensions. More...
 
unsafe double FixedTextSize [get, set]
 Returns or sets the dimension text size when the text size fixed flag is set. More...
 
unsafe
NXOpen.Preferences.SessionSketch.GroupConstraintType 
GroupConstraintOption [get, set]
 Returns or sets the sketch group external constraint management option More...
 
unsafe bool MaintainBlankStatus [get, set]
 Returns or sets the setting that controls whether or not previously blanked objects will be visible when a sketch is activated More...
 
unsafe bool MaintainLayerStatus [get, set]
 Returns or sets the setting that controls whether or not the work layer remains the same or returns to its previous value when a sketch is deactivated. More...
 
unsafe
NXOpen.Preferences.SessionSketch.OriginType 
OriginOption [get, set]
 Returns or sets the origin option More...
 
unsafe bool OverrideConstraints [get, set]
 Returns or sets the setting that specifies whether or not constraints will be overridden in sketch operations. More...
 
unsafe bool RelaxDimensions [get, set]
 Returns or sets the setting that controls whether or not dimensions will be relaxed in sketch operations. More...
 
unsafe bool RetainDimensions [get, set]
 Returns or sets the retain dimensions flag. More...
 
unsafe
NXOpen.Preferences.SessionSketch.RigidSetConstraintType 
RigidSetConstraintOption [get, set]
 Returns or sets the rigid set external constraint management option More...
 
unsafe bool ScaleOnFirstDrivingDimension [get, set]
 Returns or sets the setting that controls whether or not the entire active sketch is scaled about the sketch origin when the first non-angular driving dimension is applied. More...
 
unsafe bool SectionView [get, set]
 Returns or sets the setting that controls whether to turn on section view when the sketch is activated. More...
 
unsafe bool ShowMovableObjects [get, set]
 Returns or sets the setting that controls whether or not to show movable objects in the active sketch. More...
 
unsafe bool SliceOption [get, set]
 Returns or sets the setting that controls whether to turn on the slice option for the section view of the active sketch. More...
 
unsafe double SnapAngle [get, set]
 Returns or sets the snap angle. More...
 
unsafe double SolvingTolerance [get, set]
 Returns or sets the sketch solving tolerance. More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe bool TextSizeFixed [get, set]
 Returns or sets the setting that controls whether or not dimension text size is fixed. More...
 
unsafe bool UpdateSketchOnly [get, set]
 Returns or sets the setting that controls whether or not to update only the sketch while sketching using Direct Sketch. More...
 
unsafe bool UseSolvingTolerance [get, set]
 Returns or sets the setting that controls whether or not to use user input for sketch solving tolerance. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the set of sketch preferences applicable to entire session

To obtain an instance of this class, refer to NXOpen.Preferences.SessionPreferences

Created in NX3.0.0

Member Enumeration Documentation

Describes the available sketch background types.

Enumerator
Inherit 

Sketch background color is inherited from the parent application

Plain 

Sketch background color is forced to the plain background color

Represents the constraint management option when creating a rigid or scalable sketch group.

Enumerator
PreventConflict 

Preserves external constraints and prevents new conflicts

PreserveAll 

Preserves all external constraints

Describes the available sketch origin types.

Enumerator
InferFromPlaneSelection 

Sketch origin is inferred from placement face

ProjectWorkPartOrigin 

Sketch origin is the projection of the work part origin

Represents the constraint management option when creating a rigid sketch group.

Enumerator
PreventConflict 

Preserves external constraints and prevents new conflicts

PreserveAll 

Preserves all external constraints

Property Documentation

unsafe bool NXOpen.Preferences.SessionSketch.AutoDimensionsToArcCenter
getset

Returns or sets the setting that controls whether or not auto-dimensions are created to arc centers.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.AutoReverse
getset

Returns or sets the setting that controls whether to turn on the automatic reverse option for the section view of the active sketch.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionSketch.BackgroundType NXOpen.Preferences.SessionSketch.BackgroundOption
getset

Returns or sets the background option

Created in NX5.0.0

Deprecated in NX1847.0.0. No replacement for sketch background control. Use general NX background tools.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.ChangeViewOrientation
getset

Returns or sets the setting that controls whether the view orientation will be changed to align with the sketch when the sketch is activated.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.SessionSketch.ConstraintSymbolSize
getset

Returns or sets the constraint symbol size.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.ContinuousAutoDimensioning
getset

Returns or sets the setting that controls whether or not to continuously create auto dimensions in a sketch.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.CreateInferredConstraints
getset

Returns or sets the setting that controls whether or not to create inferred constraints

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe string NXOpen.Preferences.SessionSketch.DefaultArcNamePrefix
getset

Returns or sets the default arc name prefix

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.SessionSketch.DefaultConicNamePrefix
getset

Returns or sets the default conic name prefix

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.SessionSketch.DefaultLineNamePrefix
getset

Returns or sets the default line name prefix

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.SessionSketch.DefaultSketchNamePrefix
getset

Returns or sets the default sketch name prefix

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.SessionSketch.DefaultSplineNamePrefix
getset

Returns or sets the default spline name prefix

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.SessionSketch.DefaultVertexNamePrefix
getset

Returns or sets the default vertex name prefix

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.DelayEvaluation
getset

Returns or sets the setting that controls whether or not the sketch should be evaluated when a constraint is added to the sketch.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Preferences.SketchPreferences.DimensionLabelType NXOpen.Preferences.SessionSketch.DimensionLabel
getset

Returns or sets the dimension label

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.DisplayAutoDimensions
getset

Returns or sets the setting that controls whether or not to display auto dimensions

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplayConstraintSymbols
getset

Returns or sets the setting that controls whether or not to display constraint symbols

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplayDOFArrows
getset

Returns or sets the setting that controls whether or not the degree of freedom arrows are displayed.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.DisplayObjectColor
getset

Returns or sets the setting that controls whether or not sketch objects should be displayed in their true color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplayObjectName
getset

Returns or sets the setting that controls whether or not objects are displayed with their names in sketch.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplayParenthesesOnReferenceDimensions
getset

Returns or sets the setting that controls whether or not to display parentheses on reference dimensions

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplayReferenceGeometry
getset

Returns or sets the setting that controls whether or not the reference geometry are displayed on inactive sketches.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplaySectionMappingWarning
getset

Returns or sets the display section mapping warning flag.

If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.DisplayShadedRegions
getset

Returns or sets the setting that specifies whether or not closed curve regions are displayed as shaded regions in an active sketch.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DisplayVertices
getset

Returns or sets the setting that controls whether or not to display sketch vertices.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.DynamicConstraintDisplay
getset

Returns or sets the setting that controls whether or not constraint symbols are displayed if the associated geometry is very small.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.EditDimensionOnCreation
getset

Returns or sets the setting that controls whether or not parentheses are displayed on reference dimensions.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe double NXOpen.Preferences.SessionSketch.FixedTextSize
getset

Returns or sets the dimension text size when the text size fixed flag is set.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionSketch.GroupConstraintType NXOpen.Preferences.SessionSketch.GroupConstraintOption
getset

Returns or sets the sketch group external constraint management option

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.MaintainBlankStatus
getset

Returns or sets the setting that controls whether or not previously blanked objects will be visible when a sketch is activated

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.MaintainLayerStatus
getset

Returns or sets the setting that controls whether or not the work layer remains the same or returns to its previous value when a sketch is deactivated.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionSketch.OriginType NXOpen.Preferences.SessionSketch.OriginOption
getset

Returns or sets the origin option

Created in NX5.0.0

Deprecated in NX8.0.0. Use SketchInPlaceBuilder.ProjectWorkPartOrigin and SketchInPlaceBuilder.MakeOriginAssociative and SketchInPlaceBuilder.SketchOrigin instead.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.OverrideConstraints
getset

Returns or sets the setting that specifies whether or not constraints will be overridden in sketch operations.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.RelaxDimensions
getset

Returns or sets the setting that controls whether or not dimensions will be relaxed in sketch operations.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.RetainDimensions
getset

Returns or sets the retain dimensions flag.

If it is True, sketch dimensions continue to display after a sketch is deactivated.

Created in NX3.0.0

Deprecated in NX8.0.1. Use Annotations.AnnotationManager.MakePmi and Annotations.AnnotationManager.RemovePmi with individual dimensions instead.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionSketch.RigidSetConstraintType NXOpen.Preferences.SessionSketch.RigidSetConstraintOption
getset

Returns or sets the rigid set external constraint management option

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.Preferences.SessionSketch.GroupConstraintOption instead.

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.ScaleOnFirstDrivingDimension
getset

Returns or sets the setting that controls whether or not the entire active sketch is scaled about the sketch origin when the first non-angular driving dimension is applied.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.SectionView
getset

Returns or sets the setting that controls whether to turn on section view when the sketch is activated.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.ShowMovableObjects
getset

Returns or sets the setting that controls whether or not to show movable objects in the active sketch.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionSketch.SliceOption
getset

Returns or sets the setting that controls whether to turn on the slice option for the section view of the active sketch.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.SessionSketch.SnapAngle
getset

Returns or sets the snap angle.

This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.SessionSketch.SolvingTolerance
getset

Returns or sets the sketch solving tolerance.

This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Tag NXOpen.Preferences.SessionSketch.Tag
get

Returns the tag of this object.

unsafe bool NXOpen.Preferences.SessionSketch.TextSizeFixed
getset

Returns or sets the setting that controls whether or not dimension text size is fixed.

If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionSketch.UpdateSketchOnly
getset

Returns or sets the setting that controls whether or not to update only the sketch while sketching using Direct Sketch.

When this preference is set to false, an update will propagate through the whole model

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Preferences.SessionSketch.UseSolvingTolerance
getset

Returns or sets the setting that controls whether or not to use user input for sketch solving tolerance.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.